import { myRequest } from "./request.js";
//修改信息
export function sellerEdit(data) {
  return myRequest({
    url: "/distribution/seller/edit",
    method: "post",
    data: data,
  });
}
export function getInfoByShareCode(data) {
  return myRequest({
    url: "/app/common/distribution/getInfoByShareCode",
    method: "get",
    data: data,
    noToken: true,
  });
}

// 查询用户是否绑定公众号
export function checkBindGzh(data) {
  return myRequest({
    url: "/distribution/seller/checkBindGzh",
    method: "get",
    data,
  });
}

// 获取appid
export function getWxConfig(data) {
  return myRequest({
    url: "/app/common/wx/config",
    method: "get",
    data: data,
    noToken: true,
  });
}

//绑定公众号
export function OfficialLogin(data) {
  return myRequest({
    url: "/app/user/gzh_bind",
    method: "post",
    data: data,
  });
}
